package market.Lms.Warehouse.vo;

import java.io.Serializable;
import java.util.Date;

import market.Lms.Warehouse.mapper.YdmChemMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="YDM_CHEM", namespace=YdmChemMapper.class)
public class YdmChem extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -1292973844677763052L;
	@Column
	//冶炼炉号
	private String heatno;
	public String  getHeatno() {
		return this.heatno;
	}
	public void setHeatno(String heatno) {
		this.heatno = heatno;
	}

	@Id
	//成分项
	private String chem_code;
	public String  getChem_code() {
		return this.chem_code;
	}
	public void setChem_code(String chem_code) {
		this.chem_code = chem_code;
	}

	@Column
	//成分值
	private Double chem_value;
	public Double  getChem_value() {
		return this.chem_value;
	}
	public void setChem_value(Double chem_value) {
		this.chem_value = chem_value;
	}

	@Column
	//化验时间
	private String inspect_time;
	public String  getInspect_time() {
		return this.inspect_time;
	}
	public void setInspect_time(String inspect_time) {
		this.inspect_time = inspect_time;
	}

	@Column
	//备注
	private String remark;
	public String  getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Column
	//记录创建人
	private String create_opr;
	public String  getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//记录创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	private String c;
	private String si;
	private String mn;
	private String p;
	private String s;
	private String ni;
	private String cr;
	private String cu;
	private String asn;
	private String ti;
	private String v;
	private String mo;
	private String b;
	private String w;
	private String al;
	private String zn;
	private String pb;
	private String sn;
	private String ca;
	private String la;
	private String sb;
	private String ce;
	private String se;
	private String mg;
	private String nb;
	public String getC() {
		return c;
	}
	public void setC(String c) {
		this.c = c;
	}
	public String getSi() {
		return si;
	}
	public void setSi(String si) {
		this.si = si;
	}
	public String getMn() {
		return mn;
	}
	public void setMn(String mn) {
		this.mn = mn;
	}
	public String getP() {
		return p;
	}
	public void setP(String p) {
		this.p = p;
	}
	public String getS() {
		return s;
	}
	public void setS(String s) {
		this.s = s;
	}
	public String getNi() {
		return ni;
	}
	public void setNi(String ni) {
		this.ni = ni;
	}
	public String getCr() {
		return cr;
	}
	public void setCr(String cr) {
		this.cr = cr;
	}
	public String getCu() {
		return cu;
	}
	public void setCu(String cu) {
		this.cu = cu;
	}
	public String getAsn() {
		return asn;
	}
	public void setAsn(String asn) {
		this.asn = asn;
	}
	public String getTi() {
		return ti;
	}
	public void setTi(String ti) {
		this.ti = ti;
	}
	public String getV() {
		return v;
	}
	public void setV(String v) {
		this.v = v;
	}
	public String getMo() {
		return mo;
	}
	public void setMo(String mo) {
		this.mo = mo;
	}
	public String getB() {
		return b;
	}
	public void setB(String b) {
		this.b = b;
	}
	public String getW() {
		return w;
	}
	public void setW(String w) {
		this.w = w;
	}
	public String getAl() {
		return al;
	}
	public void setAl(String al) {
		this.al = al;
	}
	public String getZn() {
		return zn;
	}
	public void setZn(String zn) {
		this.zn = zn;
	}
	public String getPb() {
		return pb;
	}
	public void setPb(String pb) {
		this.pb = pb;
	}
	public String getSn() {
		return sn;
	}
	public void setSn(String sn) {
		this.sn = sn;
	}
	public String getCa() {
		return ca;
	}
	public void setCa(String ca) {
		this.ca = ca;
	}
	public String getLa() {
		return la;
	}
	public void setLa(String la) {
		this.la = la;
	}
	public String getSb() {
		return sb;
	}
	public void setSb(String sb) {
		this.sb = sb;
	}
	public String getCe() {
		return ce;
	}
	public void setCe(String ce) {
		this.ce = ce;
	}
	public String getSe() {
		return se;
	}
	public void setSe(String se) {
		this.se = se;
	}
	public String getMg() {
		return mg;
	}
	public void setMg(String mg) {
		this.mg = mg;
	}
	public String getNb() {
		return nb;
	}
	public void setNb(String nb) {
		this.nb = nb;
	}
}
